// Testing FiveWin Dynamic Say controls
// Testando FiveWin Com Controles de Says Dinamicos

#Include "FiveWin.Ch"
#Include "DSay.Ch"

Static oWnd

Static oDSay

//----------------------------------------------------------------------------//

Function Main()

    LOCAL cTitle := "Testando Say Dinamico" + Space( 20 )
   
    LOCAL cSay  := "Texto de Prova"

    LOCAL oDSay1, oDSay2
    LOCAL cDSay
    LOCAL cDSay1 := "Menu caro:"+CRLF+;
                    "- Caviar"+CRLF+;
                    "- Salmn aumado"+CRLF+;
                    "- Jamn 5 iberico"+CRLF+;
                    "- Camarones"+CRLF+;
                    "- y Albario"

    LOCAL cDSay2 := "Menu cutre:"+CRLF+;
                    "- Croquetas"+CRLF+;
                    "- Tortilla patata"+CRLF+;
                    "- Chorizo"+CRLF+;
                    "- Aceitunas"+CRLF+;
                    "- y Cocacola"

    DEFINE WINDOW oWnd FROM 1, 1 TO 400, 600 PIXEL ;
           COLOR CLR_BLACK, CLR_HGRAY ;
           TITLE cTitle
      
    SET MESSAGE OF oWnd TO "" KEYBOARD CLOCK DATE NOINSET

    // Esta es una prueba de que se puede usar este contro en
    // la Barra de mensajes, pero sera necesario redimensionarlo
    // segn se redimensione la ventana principal:
    //
    // @ 4,8 DYNAMIC SAY oTT VAR cTitle PIXEL OF oWnd:oMsgBar;
    //       HORIZONTAL SCROLL WRAP
   
    @ 30, 30 DYNAMIC SAY cSay+" A Velocidade Base" PIXEL OF oWnd SIZE 280,20 ;
             BORDER HORIZONTAL SCROLL WRAP

    // nSpeed: 0 to 100

    @ 60, 30 DYNAMIC SAY cSay+" A Velocidade Lenta" PIXEL OF oWnd SIZE 280,20 ;
               SHADED CENTER;
               HORIZONTAL SCROLL SPEED 10 WRAP

    @ 90, 30 DYNAMIC SAY cSay+" A Velocidade Rapida" PIXEL OF oWnd SIZE 280,20 ;
             RAISED RIGHT;
             HORIZONTAL SCROLL SPEED 50 WRAP

    @ 120, 30 DYNAMIC SAY cSay+" Estatico Piscante" PIXEL OF oWnd SIZE 280,20 ;
              BOX CENTERED BLINKING
               
    @ 150, 30 DYNAMIC SAY cSay+" Dinamico Piscante" PIXEL OF oWnd SIZE 280,20 ;
              HORIZONTAL SCROLL WRAP;
              BLINKING COLORS CLR_HBLUE
             
    @ 185, 140 BUTTON "&Trocar" SIZE 92,22 PIXEL OF oWnd;
               ACTION ( cDSay := cDSay1, cDSay1 := cDSay2, cDSay2 := cDSay,;
                        oDSay1:SetText( cDSay1 ), oDSay2:SetText( cDSay2 ) )
   
    @ 220, 30 DYNAMIC SAY oDSay1 VAR cDSay1 SIZE 150, 110 PIXEL ;
              COLOR CLR_BLACK, CLR_GRAY SHADED;
              VERTICAL SCROLL WRAP
   
    @ 220, 190 DYNAMIC SAY oDSay2 VAR cDSay2 SIZE 150, 110 PIXEL ;
               COLOR CLR_BLACK, CLR_GRAY SHADED;
               HORIZONTAL SCROLL WRAP
   
    // @ Say
    @ 200, 450 BUTTON "&Codigo" SIZE 92,22 PIXEL ;
               ACTION Test_Dialog() OF oWnd

    // WorkShop
    @ 235, 450 BUTTON "&Recursos" SIZE 92,22 PIXEL ;
               ACTION Test_Resource() OF oWnd
   
    ACTIVATE WINDOW oWnd
 
Return Nil

//----------------------------------------------------------------------------//

Function Test_Dialog()

    LOCAL oDlg, oFont
    LOCAL cVar := "Este controle esta dedicado"+CRLF+;
                  "aos mais queridos e inigualaveis"+CRLF+;
                  "amigos:"+CRLF+CRLF+;
                  "a Pantera Rosa"+CRLF+;
                  "os Hermanos Marx"+CRLF+;
                  "O Collote"+CRLF+;
                  "Tintn"+CRLF+;
                  "Mario Moreno (Cantinflas)"+CRLF+;
                  "Os tres mosqueteiros"+CRLF+;
                  "Kin Kong"+CRLF+;
                  "Pepe Potamo"+CRLF+;
                  "Ao Clube dos poetas mortos"+CRLF+;
                  "Paty pernas largas"+CRLF+;
                  "e ao Pato Lucas"+CRLF+CRLF+CRLF+CRLF+;
                  "kmt_karinha@pop.com.br"

    DEFINE FONT oFont NAME "Comic Sans MS" SIZE 0, -18 // BOLD
  
    DEFINE DIALOG oDlg TITLE "Say Dinamico na Dialog" WINDOW oWnd ;
           FROM 50, 50 TO 370, 370 PIXEL ;
           COLORS CLR_BLACK, CLR_YELLOW

    oDlg:lHelpIcon := .F.

    @ 5,5 DYNAMIC SAY cVar SIZE 150, 150 PIXEL OF oDlg;
          VERTICAL SCROLL;
          CENTERED BOTTOM;
          FONT oFont COLORS CLR_HBLUE
             
    ACTIVATE DIALOG oDlg
  
    RELEASE FONT oFont
  
Return Nil

//----------------------------------------------------------------------------//

Function Test_Resource()

    LOCAL oDlg, oFont
    LOCAL cText := "Super oferta"           +CRLF+CRLF+ ;
                   "Controles para FiveWin" +CRLF+CRLF+ ;
                   "Totalmente Gratis"
  
    DEFINE FONT oFont NAME "Arial" SIZE 0, -20 ;
           BOLD ITALIC NESCAPEMENT 450

    SET 3DLOOK ON
  
    DEFINE DIALOG oDlg RESOURCE "TEST_DSAY"  WINDOW oWnd

    oDlg:lHelpIcon := .F.

    REDEFINE DYNAMIC SAY PROMPT ( OemToAnsi( " kmt_karinha@pop.com.br" ) )    ;
             ID 101 OF oDlg                                                   ;
             CENTERED BLINKING

    REDEFINE DYNAMIC SAY VAR cText ID 102 OF oDlg ;
             HORIZONTAL SCROLL WRAP RIGHT SHADED  ;
             COLOR CLR_WHITE, CLR_BLUE FONT oFont

    ACTIVATE DIALOG oDlg

    RELEASE FONT oFont

Return Nil
